Converter

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.jl.converter
Class Converter

    java.lang.Object
      javazoom.jl.converter.Converter

public class Converter
extends java.lang.Object

The `Converter` class implements the conversion of an MPEG audio file to a .WAV file. To convert an MPEG audio stream, just create an instance of this class and call the convert() method, passing in the names of the input and output files. You can pass in optional `ProgressListener` and `Decoder.Params` objects also to customize the conversion.

Since:
  0.0.7

Nested Class Summary
`static class` | `Converter.PrintWriterProgressListener` Implementation of `ProgressListener` that writes notification text to a `PrintWriter`.
`static interface` | `Converter.ProgressListener` This interface is used by the Converter to provide notification of tasks being carried out by the converter, and to provide new information as it becomes available.

Constructor Summary
`Converter()` Creates a new converter instance.

Method Summary
`void` | `convert(java.io.InputStream sourceStream, java.lang.String destName, Converter.ProgressListener progressListener, Decoder.Params decoderParams)`
`void` | `convert(java.lang.String sourceName, java.lang.String destName)`
`void` | `convert(java.lang.String sourceName, java.lang.String destName, Converter.ProgressListener progressListener)`
`void` | `convert(java.lang.String sourceName, java.lang.String destName, Converter.ProgressListener progressListener, Decoder.Params decoderParams)`
`protected int` | `countFrames(java.io.InputStream in)`
`protected java.io.InputStream` | `openInput(java.lang.String fileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Converter

    public Converter()

  Creates a new converter instance.

Method Detail

### convert

    public void convert(java.lang.String sourceName,
                        java.lang.String destName)
                 throws JavaLayerException

  Throws:
    `JavaLayerException`

### convert

    public void convert(java.lang.String sourceName,
                        java.lang.String destName,
                        Converter.ProgressListener progressListener)
                 throws JavaLayerException

  Throws:
    `JavaLayerException`

### convert

    public void convert(java.lang.String sourceName,
                        java.lang.String destName,
                        Converter.ProgressListener progressListener,
                        Decoder.Params decoderParams)
                 throws JavaLayerException

  Throws:
    `JavaLayerException`

### convert

    public void convert(java.io.InputStream sourceStream,
                        java.lang.String destName,
                        Converter.ProgressListener progressListener,
                        Decoder.Params decoderParams)
                 throws JavaLayerException

  Throws:
    `JavaLayerException`

### countFrames

    protected int countFrames(java.io.InputStream in)

### openInput

    protected java.io.InputStream openInput(java.lang.String fileName)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005